Bug 32973 - check-webkit-style: Make a single module that runs the style package unit tests
Summary: check-webkit-style: Make a single module that runs the style package unit tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Chris Jerdonek
URL:
Keywords:
Depends on: 32971
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-27 16:00 PST by Chris Jerdonek
Modified: 2010-01-07 03:51 PST (History)
7 users (show)

See Also:


Attachments
Proposed patch (3.62 KB, patch)
2010-01-07 01:26 PST, Chris Jerdonek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Jerdonek 2009-12-27 16:00:29 PST
The file can be located at modules/style/unittest.py.

run-webkit-unittests should then be modified to import only this file.

This will make run-webkit-unittests easier to maintain as the style "package" changes.
Comment 1 Chris Jerdonek 2009-12-28 17:49:37 PST
Removed brackets from bug title.
Comment 2 Chris Jerdonek 2010-01-07 01:25:13 PST
This is so that test-webkitpy doesn't have to know the structure of the style package, and vice versa -- the style package doesn't have to worry about updating outside files like test-webkitpy.
Comment 3 Chris Jerdonek 2010-01-07 01:26:38 PST
Created attachment 46031 [details]
Proposed patch
Comment 4 WebKit Review Bot 2010-01-07 01:29:14 PST
style-queue ran check-webkit-style on attachment 46031 [details] without any errors.
Comment 5 Adam Barth 2010-01-07 01:39:44 PST
Comment on attachment 46031 [details]
Proposed patch

Thanks for teach me Python.  We should do the same with steps and commands.
Comment 6 Chris Jerdonek 2010-01-07 01:56:36 PST
(In reply to comment #5)
> (From update of attachment 46031 [details])
> Thanks for teach me Python.  We should do the same with steps and commands.

Thanks, Adam!
Comment 7 WebKit Commit Bot 2010-01-07 03:50:56 PST
Comment on attachment 46031 [details]
Proposed patch

Clearing flags on attachment: 46031

Committed r52916: <http://trac.webkit.org/changeset/52916>
Comment 8 WebKit Commit Bot 2010-01-07 03:51:03 PST
All reviewed patches have been landed.  Closing bug.